SELECT
  CUSTOMER_ACCOUNT_ID AS CUSTOMER_ID,
  PARSE_DATE("%d-%m-%Y", CONCAT("1","-", PAYMENT_DATE_MONTH, "-", PAYMENT_DATE_YEAR)) AS PAYMENT_DATE,
  PAYMENT_AMOUNT
 FROM `prj-vo-aa-p-ds-customer-uat.clv.prc_billing_table`
WHERE ABS(MOD(FARM_FINGERPRINT(CAST(CUSTOMER_ACCOUNT_ID AS STRING)), 100)) BETWEEN 80 AND 99
ORDER BY 1,2
